Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.distribution
Interface NormalDistribution

All Superinterfaces:
  ContinuousDistribution, Distribution

All Known Implementing Classes:
  NormalDistributionImpl

public interface NormalDistribution
extends ContinuousDistribution

Normal (Gauss) Distribution. Instances of NormalDistribution objects should be created using `DistributionFactory.createNormalDistribution(double, double)`.

References:

- Normal Distribution

Version:
  $Revision: 201915 $ $Date: 2005-06-26 15:20:57 -0700 (Sun, 26 Jun 2005) $

Method Summary
`double` | `getMean()` Access the mean.
`double` | `getStandardDeviation()` Access the standard deviation.
`void` | `setMean(double mean)` Modify the mean.
`void` | `setStandardDeviation(double sd)` Modify the standard deviation.

Methods inherited from interface org.apache.commons.math.distribution.ContinuousDistribution
`inverseCumulativeProbability`

Methods inherited from interface org.apache.commons.math.distribution.Distribution
`cumulativeProbability, cumulativeProbability`

Method Detail

### getMean

    public double getMean()

  Access the mean.

  Returns:
    mean for this distribution

### setMean

    public void setMean(double mean)

  Modify the mean.

  Parameters:
    `mean` - for this distribution

### getStandardDeviation

    public double getStandardDeviation()

  Access the standard deviation.

  Returns:
    standard deviation for this distribution

### setStandardDeviation

    public void setStandardDeviation(double sd)

  Modify the standard deviation.

  Parameters:
    `sd` - standard deviation for this distribution

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 The Apache Software Foundation. All Rights Reserved.